<back to all web services

MarkForTranslation

The following routes are available for this service:
PUT/RestApi/translations/translate/mark
import 'package:servicestack/servicestack.dart';

class MarkForTranslation implements IConvertible
{
    List<String>? Ids;
    String? ProviderName;
    String? ItemType;
    String? SourceLanguage;
    List<String>? TargetLanguages;
    String? ActualSourceLanguage;
    bool? AllowPartialSuccess;

    MarkForTranslation({this.Ids,this.ProviderName,this.ItemType,this.SourceLanguage,this.TargetLanguages,this.ActualSourceLanguage,this.AllowPartialSuccess});
    MarkForTranslation.fromJson(Map<String, dynamic> json) { fromMap(json); }

    fromMap(Map<String, dynamic> json) {
        Ids = JsonConverters.fromJson(json['Ids'],'List<String>',context!);
        ProviderName = json['ProviderName'];
        ItemType = json['ItemType'];
        SourceLanguage = json['SourceLanguage'];
        TargetLanguages = JsonConverters.fromJson(json['TargetLanguages'],'List<String>',context!);
        ActualSourceLanguage = json['ActualSourceLanguage'];
        AllowPartialSuccess = json['AllowPartialSuccess'];
        return this;
    }

    Map<String, dynamic> toJson() => {
        'Ids': JsonConverters.toJson(Ids,'List<String>',context!),
        'ProviderName': ProviderName,
        'ItemType': ItemType,
        'SourceLanguage': SourceLanguage,
        'TargetLanguages': JsonConverters.toJson(TargetLanguages,'List<String>',context!),
        'ActualSourceLanguage': ActualSourceLanguage,
        'AllowPartialSuccess': AllowPartialSuccess
    };

    getTypeName() => "MarkForTranslation";
    TypeContext? context = _ctx;
}

TypeContext _ctx = TypeContext(library: 'www.imglobal.com', types: <String, TypeInfo> {
    'MarkForTranslation': TypeInfo(TypeOf.Class, create:() => MarkForTranslation()),
});

Dart MarkForTranslation DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

PUT /RestApi/translations/translate/mark HTTP/1.1 
Host: www.imglobal.com 
Accept: application/json
Content-Type: application/json
Content-Length: length

{"Ids":["00000000-0000-0000-0000-000000000000"],"ProviderName":"String","ItemType":"String","SourceLanguage":"String","TargetLanguages":["String"],"ActualSourceLanguage":"String","AllowPartialSuccess":false}
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

[{"Title":"String","ActualSourceLanguage":{"Code":"String","Name":"String","Count":0},"TargetLanguage":{"Code":"String","Name":"String","Count":0},"ItemType":{"FullName":"String","Name":"String","Count":0},"TranslationStatus":{"Name":"String","Value":"String","Count":0,"Action":"String","SuccessfulActionMessage":"String"},"PreviewLink":"String","Status":"String","ErrorMessage":"String","ProjectId":"00000000-0000-0000-0000-000000000000","DateModified":"\/Date(-62135596800000-0000)\/"}]